import { INestApplicationContext, LoggerService as LoggerService$1 } from '@nestjs/common';
export { Config as ConfigService, all, isSecret, secret, unsecret } from '@pulumi/pulumi';
export { format as splat } from 'util';

declare class Bootstrap {
    static create(mod: any): Promise<INestApplicationContext>;
}

declare class ConfigModule {
}

interface EntrypointWithTsConfigPathsOptions {
    cb: () => Promise<any>;
    tsconfig?: string;
}

declare function entrypointWithTsConfigPaths(options: EntrypointWithTsConfigPathsOptions): Promise<unknown>;

declare class LoggerService implements LoggerService$1 {
    private readonly context?;
    private readonly color;
    constructor(context?: string);
    error(message: any, trace?: string, context?: string): Promise<void>;
    warn(message: any, context?: string): Promise<void>;
    log(message: any, context?: string): Promise<void>;
    debug(message: any, context?: string): Promise<void>;
    private printf;
}

declare class GenericParser {
    parse<T = unknown>(data: string | Buffer): T;
    stringify<T = any>(data: T): string;
}

declare class JsonParser implements GenericParser {
    private readonly logger;
    parse<T = unknown>(data: string | Buffer): T;
    stringify<T = any>(data: T): string;
}

declare class ParserModule {
}

declare class YamlParser implements GenericParser {
    private readonly logger;
    parse<T = unknown>(data: string | Buffer): T;
    stringify<T = any>(data: T): string;
}

declare function toResourceName(name: string): string;

export { Bootstrap, ConfigModule, type EntrypointWithTsConfigPathsOptions, GenericParser, JsonParser, LoggerService, ParserModule, YamlParser, entrypointWithTsConfigPaths, toResourceName };
